Skip to main content
GET
/
core
/
syncs
/
{sync_id}
/
jobs
List Sync Jobs
curl --request GET \
  --url https://api.integrations.commenda.io/v4/core/syncs/{sync_id}/jobs \
  --header 'api_key: <api-key>'
{
  "data": {
    "jobs": [
      {
        "id": "2d66a7bb-5f5c-4c09-a5c6-c452e58e42d9",
        "dataModel": "DOCUMENT",
        "status": "SUCCESS",
        "jobType": "PULL",
        "configMode": "READ",
        "recordsSynced": 1,
        "retryCount": 0,
        "parentJobId": null,
        "errorCode": null,
        "errorMessage": null,
        "errorResponse": null,
        "startTime": "2026-05-20T07:10:02.000Z",
        "endTime": "2026-05-20T07:10:51.115Z",
        "createdAt": "2026-05-20T07:10:02.000Z"
      }
    ],
    "count": 22,
    "next": "5de5d43e-5e12-45e0-962a-d4216eb0aeb9"
  },
  "request_id": "81ae3508-968e-41e9-8804-56dc31edc97d"
}

Documentation Index

Fetch the complete documentation index at: https://integrations.docs.commenda.io/llms.txt

Use this file to discover all available pages before exploring further.

List jobs for a sync.

Path Parameters

ParameterTypeDescription
sync_idstringSync ID.

Query Parameters

ParameterTypeDefaultDescription
limitinteger200Page size (max 500).
cursorstringReturn jobs after this job id.

Response

Returns { data: { jobs, count, next }, request_id }.
FieldTypeDescription
jobsarrayJob objects. See overview.
countintegerTotal jobs for this sync.
nextstring | nullCursor for the next page, or null.

Authorizations

api_key
string
header
required

Path Parameters

sync_id
string
required

Sync ID.

Query Parameters

limit
integer
default:200

Page size (max 500).

Required range: 1 <= x <= 500
cursor
string

Return jobs after this job ID.

Response

Paginated job list.

request_id
string
required
data
V4ListJobsResponse · object
required